NIP-02
======

Petname sharing through a special event `3`: "contact list"
-------------------------------------------------------

`draft` `optional`

A special event with kind `3`, meaning "contact list" is defined as having a `content` equal to a JSON string (yes, encoded JSON inside a JSON string) that decodes to the a list of tuples of `<pubkey>` (32 bytes hex) and `<name>` (arbitrary UTF-8 name, maximum 32 characters), as the following example:

```json
[
  ["91cf9c4c5d9b675c00afd68db164e5ca", "alice"],
  ["14aeb4daf2045e469f2dff496f48dad4", "bob"],
  ["612ae030a3856e463a363390250e610f", "carol"]
]
```

Every new contact list that gets published overwrites the past ones, so it should contain all entries. Relays and clients SHOULD delete past contact lists as soon as they receive a new one.

This can be published by anyone and used by clients to construct local ["petname"](http://www.skyhunter.com/marcs/petnames/IntroPetNames.html) tables derived from other people's contact lists.

## Example

A user has an internal contact list that says

```json
[
  ["21df6d143fb96c2ec9d63726bf9edc71", "erin"]
]
```

And receives two contact lists, one from `21df6d143fb96c2ec9d63726bf9edc71` that says

```json
[
  ["a8bb3d884d5d90b413d9891fe4c4e46d", "david"]
]
```

and another from `a8bb3d884d5d90b413d9891fe4c4e46d` that says

```json
[
  ["f57f54057d2a7af0efecc8b0b66f5708", "frank"]
]
```

When the user sees `21df6d143fb96c2ec9d63726bf9edc71` the client can show _erin_ instead;
When the user sees `a8bb3d884d5d90b413d9891fe4c4e46d` the client can show _david.erin_ instead;
When the user sees `f57f54057d2a7af0efecc8b0b66f5708` the client can show _frank.david.erin_ instead.
